org.springframework.batch.sample.domain.order.internal.validator

## Class OrderValidator

- java.lang.Object
- - org.springframework.batch.sample.domain.order.internal.validator.OrderValidator

- All Implemented Interfaces:
    org.springframework.validation.Validator

      public class OrderValidator
      extends java.lang.Object
      implements org.springframework.validation.Validator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderValidator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `supports(java.lang.Class<?> arg0)`
    `void` | `validate(java.lang.Object arg0, org.springframework.validation.Errors errors)`
    `protected void` | `validateAddress(Address address, org.springframework.validation.Errors errors, java.lang.String prefix)`
    `protected void` | `validateCustomer(Customer customer, org.springframework.validation.Errors errors)`
    `protected void` | `validateLineItems(java.util.List<LineItem> lineItems, org.springframework.validation.Errors errors)`
    `protected void` | `validateOrder(Order item, org.springframework.validation.Errors errors)`
    `protected void` | `validatePayment(BillingInfo billing, org.springframework.validation.Errors errors)`
    `protected void` | `validateShipping(ShippingInfo shipping, org.springframework.validation.Errors errors)`
    `protected void` | `validateStringLength(java.lang.String string, org.springframework.validation.Errors errors, java.lang.String field, java.lang.String message, int length)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderValidator

          public OrderValidator()

  - ### Method Detail

    - #### supports

          public boolean supports(java.lang.Class<?> arg0)

      Specified by:
        `supports` in interface `org.springframework.validation.Validator`

    - #### validate

          public void validate(java.lang.Object arg0,
                               org.springframework.validation.Errors errors)

      Specified by:
        `validate` in interface `org.springframework.validation.Validator`

    - #### validateLineItems

          protected void validateLineItems(java.util.List<LineItem> lineItems,
                                           org.springframework.validation.Errors errors)

    - #### validateShipping

          protected void validateShipping(ShippingInfo shipping,
                                          org.springframework.validation.Errors errors)

    - #### validatePayment

          protected void validatePayment(BillingInfo billing,
                                         org.springframework.validation.Errors errors)

    - #### validateAddress

          protected void validateAddress(Address address,
                                         org.springframework.validation.Errors errors,
                                         java.lang.String prefix)

    - #### validateStringLength

          protected void validateStringLength(java.lang.String string,
                                              org.springframework.validation.Errors errors,
                                              java.lang.String field,
                                              java.lang.String message,
                                              int length)

    - #### validateCustomer

          protected void validateCustomer(Customer customer,
                                          org.springframework.validation.Errors errors)

    - #### validateOrder

          protected void validateOrder(Order item,
                                       org.springframework.validation.Errors errors)